summaryrefslogtreecommitdiffstats
path: root/jjb/dmm/include-raw-dmm-csit-functional-virl.sh
diff options
context:
space:
mode:
authorsharath reddy <sharathkumarboyanapally@gmail.com>2018-04-23 14:43:11 +0530
committersharath reddy <sharathkumarboyanapally@gmail.com>2018-04-23 14:54:27 +0530
commit88b08ed941e28ff2bfd7ab41542ba6917566ca54 (patch)
tree7b2f6b416715c7b84c6a1760e85bef59cfad620c /jjb/dmm/include-raw-dmm-csit-functional-virl.sh
parentbe017f9607363c8db1d37a172451512480ae6d62 (diff)
DMM jjb scripts
Change-Id: Iddddda843867ea59cd9b5136017535e84bba7395 Signed-off-by: sharath reddy <sharathkumarboyanapally@gmail.com>
Diffstat (limited to 'jjb/dmm/include-raw-dmm-csit-functional-virl.sh')
-rw-r--r--jjb/dmm/include-raw-dmm-csit-functional-virl.sh55
1 files changed, 55 insertions, 0 deletions
diff --git a/jjb/dmm/include-raw-dmm-csit-functional-virl.sh b/jjb/dmm/include-raw-dmm-csit-functional-virl.sh
new file mode 100644
index 000000000..1e28e1000
--- /dev/null
+++ b/jjb/dmm/include-raw-dmm-csit-functional-virl.sh
@@ -0,0 +1,55 @@
+#########################################################################
+#
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#########################################################################
+#!/bin/bash
+
+set -xeu -o pipefail
+
+# Clone dmm and start tests
+git clone https://gerrit.fd.io/r/dmm
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
+ exit 1
+fi
+
+# Clone csit and start tests
+git clone https://gerrit.fd.io/r/csit
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/csit"
+ exit 1
+fi
+
+# Move the dmm to the csit dir
+sudo mv -f ./dmm/ ./csit/
+
+cd csit
+
+# execute dmm bootstrap script if it exists
+if [ -e bootstrap-DMM.sh ]
+then
+ # make sure that bootstrap-DMM.sh is executable
+ chmod +x bootstrap-DMM.sh
+ # run the script
+ ./bootstrap-DMM.sh
+else
+ echo 'ERROR: No bootstrap-DMM.sh found'
+ exit 1
+fi
+
+# vim: ts=4 ts=4 sts=4 et :